package contexts
{
	import robotlegs.bender.extensions.mediatorMap.api.IMediatorMap;
	import robotlegs.bender.framework.api.IConfig;
	
	import views.ButtonMediator;
	import views.ButtonView;
	import views.MessageView;
	import views.MessageViewMediator;
	import robotlegs.bender.framework.api.IContext;
	
	public class SomeOtherContextConfig implements IConfig
	{
		[Inject]
		public var context:IContext;
		
		[Inject]
		public var mediatorMap:IMediatorMap;
		
		public function SomeOtherContextConfig()
		{
		}
		public function configure():void
		{
			context.afterInitializing(configurationComplete);
			
			mediatorMap.map(ButtonView).toMediator(ButtonMediator);
			mediatorMap.map(MessageView).toMediator(MessageViewMediator);
		}
		
		private function configurationComplete():void
		{
			trace("do something after initializin the context and wiring your classes");
		}
	}
}