package contexts
{
	import robotlegs.bender.extensions.mediatorMap.api.IMediatorMap;
	import robotlegs.bender.framework.api.IConfig;
	
	import views.ButtonMediator;
	import views.ButtonView;
	import views.MessageView;
	import views.MessageViewMediator;

	public class HelloWorldConfig implements IConfig
	{
		[Inject]
		public var mediatorMap:IMediatorMap;
		
		//============================================================================
		// 
		//============================================================================
		public function configure():void
		{			
			mediatorMap.map(ButtonView).toMediator(ButtonMediator);
			mediatorMap.map(MessageView).toMediator(MessageViewMediator);
		}
	}

}
